const eulaText = `CLOUD SOFTWARE SUBSCRIPTION AGREEMENT

This Agreement provides the terms under which NetApp licenses Software Subscriptions to You, whether by NetApp, Your NetApp Partner, Cloud Provider, or Cloud Provider Partner.  Capitalized terms are defined below.

<b>1.	Acceptance.</b> By installing, accessing, launching, or otherwise using the Subscription (including any file, update or Instance of the Software and Documentation provided to enable the Subscription), You agree that this Agreement will exclusively govern NetApp’s license and Your use of the Subscription.  Some Software components may be provided separately to You under other licensing terms. In such case, when Software is licensed by You to be used as part of the Subscription, this Agreement will control in the event of a conflict with such terms (except licensing terms specifically associated with Open Source Software).

If You are accepting this Agreement on behalf of another person, company or other legal entity (whether as an employee, contractor, distributor, reseller, partner, agent or otherwise), You represent and warrant that You have full authority to bind them to the Agreement terms.  If You do not agree to the above, do not use the Subscription.

<b>2.	Definitions.</b> Capitalized terms are defined as follows:

<b>2.1.	“Agreement”</b> means this contractual agreement between You and NetApp.
<b>2.2.	“AutoSupport”</b> means those Support features which provide NetApp product call home monitoring, reporting capabilities, and other automated support services.
<b>2.3.	“Cloud Provider”</b> means the entity You use for storing or managing Your data that is authorized by NetApp to offer Software Subscriptions.
<b>2.4.	“Cloud Provider Partner”</b> means an entity such as a reseller or distributor authorized by both Cloud Provider and NetApp to resell Subscriptions to You.
<b>2.5.	“Documentation”</b> means the technical and user documentation provided in conjunction with the Software.
<b>2.6.	“Identifier”</b> or <b>“Key”</b> means a unique number attached to Your license which entitles permission to use certain Software Subscriptions on a per-Instance, paid basis.
<b>2.7.	“Instance”</b> means a single Software program offered as part of the Subscription.
<b>2.8.	“NetApp”</b> means collectively NetApp, Inc. and its affiliates and NetApp BV and its affiliates.
<b>2.9.	“NetApp Partner”</b> means a NetApp reseller, VAR, distributor, or other channel partner and each of its respective authorized affiliates.
<b>2.10.	“Open Source Software”</b> means software provided under license terms in which the Software source code must be made available for a licensee to copy, create derivative works, and distribute without any fee or cost.
<b>2.11.	“Software”</b> means Software and other associated technology designated by NetApp as part of the Subscription  and any updates, upgrades, or patches provided to You by NetApp at its discretion or otherwise in connection with Support terms and entitlements.
<b>2.12.	“Software Subscription(s)”</b> or <b>“Subscription(s)”</b> means a period of continuous time in which You are entitled (subject to any required fee payments and applicable Identifiers or Keys) to use, access, and install Software and Documentation only in connection with enabling your use of Cloud Provider data storage, compute, networking, or other cloud-based services (whether You consume or use the full Subscription) and not for distribution or use separate from Cloud Provider services.
<b>2.13.	“Support”</b> means the support, if any, made available with Your Subscriptions license as more specifically described in Section 6 below.
<b>2.14.	“You”</b> means you (and the person, company, or other legal entity you represent).

<b>3.	License to Use Software Subscriptions.</b> Subject to the terms of this Agreement, payment of all fees and your compliance with the Cloud Provider’s terms, NetApp authorizes You a personal, non-exclusive, worldwide, limited, non-transferable and terminable right to access, execute, and use the Subscriptions (including downloading and installing certain Software updates and components to Your device to enable the Subscriptions) for Your internal business purposes or otherwise only as strictly permitted under Section 5 below.  A separate, fully paid license is required for each Software Instance in use either separately or concurrently when using the Subscription.  Except as expressly licensed under this Agreement, all rights are reserved by NetApp and its licensors and suppliers.

Use of the Subscription or any of its components (including but not limited to each Instance) outside of the scope of this Agreement constitutes a material breach and You agree to promptly pay to NetApp any additional use fees when notified by NetApp or the Cloud Provider as applicable.  NetApp has no obligation to deliver Software to You but may provide Software and Software updates to enable the Software Subscription or otherwise provide Support.

<b>4.	Use Restrictions. </b>Except as otherwise expressly licensed to You and in addition to the restrictions above in Section 3, You shall not, nor shall You allow any third party to:
a)	reverse-engineer, decompile, or disassemble any Subscription component except and only to the extent required for interoperability purposes under applicable laws or as expressly permitted in applicable open-source licenses;
b)	remove or conceal any product identification, copyright, proprietary, patent, or other notices in any Software and Documentation that is accessible or otherwise in your possession in connection with the use of the Subscription;
c)	assign, sublicense or otherwise transfer, in whole or in part, the Subscription or components or licenses thereof to another party;
d)	use the Subscription to perform services for third parties in a service bureau, managed services, commercial hosting services, or similar environment except pursuant to your Identifier or Key terms and the requirements set forth below in Section 5;
e)	use the Subscription  in excess of any limitations (i.e. user limits, free trials, or use of the Software outside of the Cloud Provider platform) or time period permitted by Identifier or Key;
f)	use for purposes not in connection with enabling Cloud Provider services;
g)	modify, adapt or create a derivative work of  any or all components of the Subscription; and
h)	publish or provide any benchmark or comparison test results of the Subscription or any of its individual components to any third party.

<b>5.	Use of the Subscription.</b>  If You are using the Subscription to provide a service  to Your customers, You must comply fully at all times with the following requirements: (i) You and Your customers and affiliates and subsidiaries must comply with this Agreement and the associated Cloud Provider terms and You shall be financially responsible for a breach; (ii) You must require any user of Your service (including Your subsidiaries and affiliate(s)) to agree to terms that limit both NetApp’s and its suppliers’ liability in a manner substantially similar to and no less protective than this Agreement; and (iii) You must provide support to Your customers without obligating NetApp or its Cloud Provider to provide any support. Notwithstanding the foregoing and irrespective of the manner in which You use the Subscription, You must comply fully at all times with the following requirements: (i)You must obtain all legally required consents regarding the storage, use, transfer, or handling of any third party data; (ii) You must use the Subscription in a manner that complies with any and all laws and regulations, including but not limited to data protection regulations; and (iii) You must indemnify, defend, and hold harmless NetApp, each of its affiliates (as well as the officers, directors, and employees of each NetApp entity), NetApp Partners, NetApp suppliers, NetApp licensors, and NetApp Cloud Providers from and against any claim,  fine, loss, or action arising from Your breach of this Agreement or the breach of any Cloud Provider terms and You must either require Your subsidiaries and affiliates to do the same or provide indemnity on their behalf

<b>6.	Support.</b> For certain Subscriptions, Support entitlement may be provided or offered to You in connection with Your purchase, but You must register with NetApp to obtain Your support. NetApp’s Support Web Site is found at www.netapp.com/us/support or call 1-800-443-4537. To the extent Support is not included with the Subscription, community support may be available on the NetApp Community  or http://community.netapp.com/t5/Hybrid-Cloud-Discussions/bd-p/hybrid-cloud-discussions. For optimized support it is recommended that You install and use AutoSupport. NetApp reserves the right to provide Support through third parties, including outside of the country where You reside or otherwise use the Subscription and You consent to any necessary transfer of Your Support intake, contact, registration and other Support file information to enable NetApp to have Support provided in this manner.

<b>7.	Direct Warranty. NetApp warrants that during Your Subscription period, or such other minimum period as required under applicable law (the “Warranty Period”), the Software will materially conform to the then-current Documentation. If a material nonconformance arises in the Software during the Warranty Period and such nonconformance is reproducible and verifiable, NetApp will, at its sole discretion and expense, repair or replace the Software or refund the amounts actually received by NetApp for the Software. EXCEPT AS SPECIFICALLY PROVIDED IN THIS SECTION 7</b>, THE SUBSCRIPTION IS  PROVIDED “AS IS” AND WITHOUT WARRANTY OF ANY KIND. IF YOUR LICENSE INCLUDES PAID SUPPORT, YOU ARE ADVISED TO REGISTER PROMPTLY WITH NETAPP IN ORDER TO OBTAIN SUPPORT. YOU ASSUME ALL RISKS ASSOCIATED WITH USE OF THE SUBSCRIPTION TOGETHER WITH THE CLOUD PROVIDER’S ASSOCIATED SERVICES OR PRODUCTS, INCLUDING BUT NOT LIMITED TO DATA LOSS OR DATA BREACH.  NETAPP MAKES NO WARRANTY THAT THE SOFTWARE SUBSCRIPTION (INCLUDING SUBSCRIPTIONS  THAT ARE DEPENDENT ON THE CLOUD PROVIDER’S SERVICES OR PRODUCTS) WILL BE UNINTERRUPTED, TIMELY OR ERROR FREE. NO OTHER WARRANTY OR REMEDY, WHETHER WRITTEN OR ORAL, IS EXPRESSED OR IMPLIED. NETAPP SPECIFICALLY DISCLAIMS THE IMPLIED WARRANTIES OF MERCHANTABILITY, ACCEPTABLE QUALITY, FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT. SOME JURISDICTIONS  DO NOT ALLOW THE EXCLUSION OF CERTAIN WARRANTIES AND CONDITIONS, SO SOME OF THE ABOVE EXCLUSIONS MAY NOT APPLY TO YOU.

<b>8.	Limitation of Liability.</b> Regardless of the basis of the claim (e.g. contract, tort, or statute), the total liability of NetApp and its licensors, under or in connection with this Agreement, shall not exceed the amount actually received by NetApp for the Subscription.  NetApp and its licensors are not liable for:
a)	any indirect, incidental, exemplary, special, or consequential damages;
b)	loss or corruption of data;
c)	loss of revenues, profits, goodwill, or anticipated savings;
d)	procurement of substitute goods and/or services;
e)	interruption to business; even if it has been advised of the possibility of such claims or damages;
f)	Your failure to adhere to applicable regulations pertaining to non-rewriteable and non-erasable US Government regulations.

The limitations and exclusions above shall not apply to liability for death or bodily injury caused by negligence, gross negligence, willful misconduct, fraud, or any other liability that cannot be excluded under applicable laws. Further, NetApp is not responsible for losses, damages or claims attributable to the Cloud Provider’s acts, omissions, negligence or intentional acts of any kind in connection with Your use of the Software Subscription.

<b>9.	Audit.</b> You grant NetApp and its independent accountants the right to examine Your Subscription  usage once annually during regular business hours upon reasonable notice to verify compliance with this Agreement or to otherwise permit NetApp or the Cloud Provider to verify the number of Instances used by You.  If the audit discloses material non-compliance, You shall promptly pay to NetApp any additional use fees identified by NetApp, calculated in accordance with NetApp’s price list, and the reasonable costs of conducting such audit, if any.  Following any non-compliance, you may be subjected to more frequent audits or terminated pursuant to Section 11.

<b>10.	Tax.</b>  Fees and other charges associated with this Agreement may not include federal, state or local sales, VAT, GST, foreign withholding, use, property, excise, service or similar taxes in most jurisdictions (“Tax”) now or in the future, all of which are Your responsibility. If NetApp is required to pay Tax, You must reimburse NetApp for such amounts. You agree to indemnify NetApp for any Tax and related costs, interests, and penalties paid or payable by NetApp for Your use of the Subscription.

<b>11.	Termination.</b> This Agreement is effective until terminated. NetApp has the option to terminate (or permit the Cloud Provider to terminate) individual Instances when used in excess of your actual license rights, for non-payment or otherwise used in a manner not permitted by the Cloud Provider’s terms.  You may terminate the Agreement at any time with written notice.  NetApp may terminate this Agreement immediately on written notice to You if You commit a material breach of the Agreement, including failure to remit payments when due and, in the event that the breach is remediable, failure to remedy it within thirty (30) days of NetApp’s written notice requiring You to do so.  Upon termination of this Agreement, all rights to use the Software and Documentation cease and You shall, at NetApp’s request, promptly return or destroy all copies of the Software and Documentation, including any Keys, in Your possession or under Your control.  Sections 1, 2, 4, 5, and 7 through 16 (as well as any defined terms, technology use restrictions, or Your provided consents) shall survive termination of this Agreement.

<b>12.	Software Copyright Information And Notices.</b> Software copyright information and other related Open Source Software details are included as part of notices in the Documentation or other documentation published by NetApp (e.g. NOTICES.TXT or NOTICES. PDF).

<b>13.	U.S. Federal Government End Users.</b> This Section 13 applies to You only if You are a U.S. Federal Government end user.  The Software and Documentation is “commercial” computer software and documentation and is licensed to You in accordance with the rights articulated in applicable U.S. government acquisition regulations (e.g. FAR, DFARs) pertaining to commercial computer software and documentation. You shall not be subject to applicable audit costs specified in Section 9.  Any dispute between You and NetApp will be subject to resolution pursuant to the Contract Disputes Act of 1978.  Nothing contained in this Cloud Software Subscription Agreement is meant to derogate the rights of the U.S. Department of Justice as identified in 28 U.S.C. §516.  All other provisions of this EULA remain in effect as written.


<b>14.	Export Control Laws And Regulations.</b> The Software and Documentation is subject to applicable export control laws and regulations of the United States and other countries and You agree to comply with them. You represent and warrant that You:
a)	are responsible for compliance with all local encryption laws and regulations, where applicable, and for obtaining any permits and licenses required under those laws and regulations for your use of the Subscription;
b)	will not, directly or indirectly, export or re-export the Software and Documentation to, or use the Software and Documentation in, countries subject to U.S. embargoes or trade sanctions programs, unless authorized by U.S. export licenses or other government authorizations (as of August 2014, these countries are: Cuba, North Korea, Iran, Sudan, and Syria);
c)	will comply with any updates and revisions that the U.S. Government makes to the sanctions, embargoes and the list of countries specified in section 14(b) above;
d)	are not a party, nor will You export or re-export to a party, identified on any government export exclusion lists, including but not limited to the U.S. Denied Persons, Entity, and Specially Designated Nationals Lists; and
e)	will not use the Software and Documentation for any purposes prohibited by U.S. law, including but without limitation, the development, design, manufacture or production of nuclear, missile, chemical, biological weaponry, or other weapons of mass destruction.

<b>15.	Data Privacy.</b> You have sole responsibility for personal data managed or stored using the Software Subscription and agree to comply with all applicable data privacy laws. NetApp assumes no responsibility or liability for any personal data (including third party personal data) that You choose to manage and/or store using the Subscription. Sole responsibility for the personal data lies with You. It is Your data and Your responsibility to protect and manage the data in accordance with applicable data privacy laws. NetApp does not request nor need access to any of Your personal data. Further, data may be stored with the Cloud Provider for which different terms may govern the management of and access to the data. Selection of the Cloud Provider is Your responsibility and You should carefully consider the risks when using the Cloud Provider. NetApp is not and will not be responsible for any data loss or errors, omissions, or violations of applicable privacy laws or regulations by the Cloud Provider or its suppliers. NetApp’s most current privacy policy is found at www.netapp.com.

<b>16.	General.</b> This Agreement shall be construed pursuant to the laws of the State of California, United States, excluding its conflicts of law provisions. You consent to venue in the State of California, United States (or for a federal claim, the Northern District of California).  NetApp reserves the right to control all aspects of any lawsuit or claim that arises from Your use of the Software and Documentation.  If required by NetApp’s agreement with a third party licensor, NetApp’s licensor shall be a direct and intended third party beneficiary of this Agreement  and may enforce it directly against You, along with any additional applicable license terms (including any software provided for your use to enable the Software which is provided by or for the Cloud Provider).  NetApp does not waive any of its rights under this Agreement by failing to or delaying the exercise of its rights or partially exercising its rights at any time.  To the extent that any provision of this Agreement is determined to be invalid or unenforceable, the remainder of this Agreement shall remain in full force and effect.  This Agreement may not be changed except by an amendment accepted by an authorized representative of each party.  In the event of a dispute between the English and non-English version of the Agreement (where translated for local requirements), the English version of this Agreement shall govern, to the extent permitted by applicable laws.  This Agreement, including any credit or refund policies provided by NetApp to You at the time of sale or license, represents the entire agreement and understanding between NetApp and You with respect to the Software and Documentation.  It supersedes any previous communications, representations, or agreements between NetApp and You and prevails over any conflicting or additional terms in any quote, purchase order, acknowledgment, or similar communication between the parties.
`;

module.exports = { eulaText };