const puppeteer = require('puppeteer');
const _ = require('lodash');
const Constants = require('../utils/Constants');

exports.browser = (headless = true) => {
    return puppeteer.launch({
        headless: headless,
        defaultViewport: {width: 1280, height: 800},
        args: ['--no-sandbox']
    })
        .catch(err => {
            console.log(err);
            throw err;
        });
};

exports.login = async (browser, url) => {
    const page = await browser.newPage();
    try {
        await page.goto(url, {"waitUntil": "networkidle2"});
        await page.waitFor(20000);

        await page.click("#central-container > div > div > form > div > div > div:nth-child(3) > span > div > div > div > div > div > div > div > div > div.auth0-lock-tabs-container > ul > li:nth-child(1) > a");
        await page.type("#central-container > div > div > form > div > div > div:nth-child(3) > span > div > div > div > div > div > div > div > div > div:nth-child(2) > div.auth0-lock-input-block.auth0-lock-input-email > div > input", Constants.testimioUserEmail);
        await page.type("#central-container > div > div > form > div > div > div:nth-child(3) > span > div > div > div > div > div > div > div > div > div:nth-child(2) > div.auth0-lock-input-block.auth0-lock-input-show-password > div > div > input", Constants.testimioUserPassword);
        await page.click("#central-container > div > div > form > div > div > button");
        await page.waitForSelector("#root > div.App.nav-menu-open > div.MyServices_base__2EtMr > header > div > h1");

        await page.waitFor(5000);
        await page.close();
    } catch (e) {
        console.log(`ERROR IN LOGIN PAGE: ${e}`);
        throw e;
    }
};