const winston = require('winston');
const appRoot = require('app-root-path');

const options = {
    console: {
        level: 'debug',
        handleExceptions: true,
        json: false,
        colorize: true,
    }
};

const logger = new winston.Logger({
    transports: [
        new winston.transports.Console(options.console)
    ],
    exitOnError: false
});

logger.stream = {
    write: function(message) {
        logger.info(message);
    },
};

module.exports = logger;