let config;
if (process.env.domain === "production") {
    console.log('production');
    config = require('../config/config_production.json');
    ((obj) => {
        const recursiveIt = (obj) => {
            Object.keys(obj).forEach((key) => {
                if(typeof obj[key] === 'string') {
                    obj[key] = obj[key].replace(/:(\w+):/g, process.env[key]);
                } else {
                    recursiveIt(obj[key]);
                }
            });
        };
        recursiveIt(obj);
    })(config);
} else if (process.env.domain === "staging") {
    console.log('staging');
    config = require('../config/config_staging.json');
} else {
    console.log('dev');
    config = require('../config/config_dev.json');
}
exports.environment = config.environment;
exports.websiteUrl = config.website.URL;
exports.hubspotUrl = config.hubspot.URL;
// federation connection
exports.federationConnectionName = config.federationConnection.connectionName;
exports.federationConnectionCompanyName = config.federationConnection.companyName;
exports.federationConnectionEmailDomains = config.federationConnection.emailDomains;
// auth0
exports.auth0BaseUrl = config.auth0.baseUrl;
exports.auth0ManagementBaseUrl = config.auth0.managementBaseUrl;
exports.auth0ManagementAudience = config.auth0.managementAudience;
exports.auth0ManagementClientId = config.auth0.managementClientId;
exports.auth0ManagementClientSecrete = config.auth0.managementClientSecrete;
// cloud sync
exports.cloudSyncApiBaseUrl = config.cloudSync.baseUrl;
exports.cloudSyncAudience = config.cloudSync.audience;
exports.cloudSyncClientId = config.cloudSync.clientId;
// cloud central - governance
exports.cloudCentralGovernanceApiBaseUrl = config.governance.baseUrl;
exports.cloudCentralGovernanceAudience = config.governance.audience;
exports.cloudCentralGovernanceClientId = config.governance.clientId;
// cloud central
exports.cloudCentralApiBaseUrl = config.cloudCentral.baseUrl;
exports.cloudCentralAudience = config.cloudCentral.audience;
exports.cloudCentralClientId = config.cloudCentral.clientId;
// occm registration
exports.occmRegistrarClientSecret = config.registrator.clientSecret;
exports.occmRegistratorClientId = config.registrator.clientId;
exports.occmRegistratorAudience = config.registrator.audience;
// integration client
exports.integrationClientId = config.integration.clientId;
// users
exports.testEmail = config.users.randomUserPrefix;
exports.defaultTestUserEmail = config.users.integration.email;
exports.defaultTestUserPassword = config.users.integration.password;
exports.defaultUserAuth0Sub = config.users.integration.auth0Id;
exports.testimioUserEmail = config.users.testimio.email;
exports.testimioUserPassword = config.users.testimio.password;
exports.testimioUserAuth0Sub = config.users.testimio.auth0Id;
exports.courseStudetEmail = config.users.courseStudent.email;
exports.courseStudetPassword = config.users.courseStudent.password;
exports.courseStudetAuth0Sub = config.users.courseStudent.auth0Id;
// AWS
exports.asiaPacific = 'ap-south-1';
exports.oregon = "us-west-2";
exports.virginia = "us-east-1";
exports.sydney = "ap-southeast-2";
exports.sydneyRedHatAmi = "ami-67589505";
exports.sydneyAvailabilityZone = 'ap-southeast-2a';
exports.accessKey = config.accessKey;
exports.secretKey = config.secretKey;
// dynamodb
exports.occmClientInfoTable = `portal-backend-${config.environment}-occmClientInfo`;
exports.occmUserInfoTable = `portal-backend-${config.environment}-userInfo`;
exports.staticClients = `portal-backend-${config.environment}-staticClient`;
// netApp Internal Clients
exports.netAppInternalClients = ["ReDash-SAML","Cloud Accelerate SPA"];