const _ = require('lodash');
const axios = require('axios');
const Constants = require('../Constants');
const {resolvedResponseInterceptor, rejectedResponseInterceptor, resolvedRequestInterceptor, rejectedRequestInterceptor} = require('../axios-response-handler');

exports.cloudCentralAxios = _.once(() => {
    const instance = axios.create({
        baseURL: Constants.cloudCentralApiBaseUrl
    });
    instance.interceptors.request.use(resolvedRequestInterceptor, rejectedRequestInterceptor);
    instance.interceptors.response.use(resolvedResponseInterceptor, rejectedResponseInterceptor);
    return instance;
});

exports.governanceAxios = _.once(() => {
    const instance = axios.create({
        baseURL: Constants.cloudCentralGovernanceApiBaseUrl
    });
    instance.interceptors.request.use(resolvedRequestInterceptor, rejectedRequestInterceptor);
    instance.interceptors.response.use(resolvedResponseInterceptor, rejectedResponseInterceptor);
    return instance;
});