import React from 'react'
import inputs from "../input/input.module.scss";
import classNames from "classnames";

export default (props) => {
    const { type, name, label, value, errorMessage, reference, onChange, placeholder, required, autoFocus, pending, InlineLoaderIcon, className } = props;

    return (<div className={classNames(inputs["input-container"], className)}>
        <label className={errorMessage ? inputs["invalid"] : ''}>
            {label}
            {pending && InlineLoaderIcon && <InlineLoaderIcon className={inputs["inline-loader"]}/>}
            <input type={type}
                   ref={reference}
                   name={name}
                   value={value}
                   onChange={onChange}
                   placeholder={placeholder}
                   required={required}
                   autoFocus={autoFocus}
            />
            <div className={inputs.error}>{errorMessage}</div>
        </label>
    </div>);
}