import React from 'react'
import querystring from 'query-string';
import './App.scss'
import './Buttons.scss'
import './components/Components.scss'
import { Route, Switch } from 'react-router-dom'
import { connect } from 'react-redux'
import * as actions from "./actions";
import BlankPage from './components/BlankPage'
import RoutesWithHeader from './RoutesWithHeader'
import { AccountsManagement } from './chunks.js'

const App = ({ auth }) => {
    const search = querystring.parse(window.location.search);
    if (auth.status === actions.STATUS_PENDING || search.gotoCvoFreeTrialCampaign|| search.gotoCvoFreeTrialCampaign2) {
        return <BlankPage/>
    } else {
        return (<Switch>
            <Route path="/components/account" component={AccountsManagement}/>
            <Route path="/" component={RoutesWithHeader}/>
        </Switch>)
    }
};

const mapStateToProps = state => {
    return {
        auth: state.auth,
    };
};

export default connect(mapStateToProps)(App);
