import React from 'react'
import Loadable from 'react-loadable';
import Loader from "./Loader";

const LoadingView = () => <Loader/>;

export const NetAppInternalView = Loadable({
    loader: ()  => import('./components/internal/NetAppInternalView' /* webpackChunkName: "NetAppInternal" */),
    loading: LoadingView
});

export const CloudManagersView = Loadable({
    loader: () => import('components/launch-pad/CloudManagersView.js' /* webpackChunkName: "CloudManagers" */),
    loading: LoadingView,
});

export const FabricView = Loadable({
    loader: () => import('components/fabric-view/FabricView.js' /* webpackChunkName: "FabricView" */),
    loading: LoadingView,
});

export const CloudAssessmentView = Loadable({
    loader: () => import('components/cloud-assessment/CloudAssessmentView.js' /* webpackChunkName: "CloudAssessment" */),
    loading: LoadingView,
});

export const AccountsManagement = Loadable({
    loader: () => import('components/accounts-management/AccountsManagement' /* webpackChunkName: "AccountsManagement" */),
    loading: LoadingView,
});

export const prefetch = [CloudAssessmentView, FabricView];
