import React from 'react'
import CloudAssessmentCredentialsAzure from "./CloudAssessmentCredentialsAzure"
import PendingContainer from "./PendingContainer"
import { connect } from 'react-redux'
import AzureSummaryContainer from "./AzureSummaryContainer"

const CloudAssessmentViewAzure = ({stage, summary}) => {
    return <div>
        {stage.indexOf("CREDENTIALS") === 0 && <CloudAssessmentCredentialsAzure/>}
        {stage === "PENDING" && <PendingContainer showDurationMessage={true}/>}
        {stage === "SUMMARY" && <AzureSummaryContainer summary={summary}/>}
    </div>
};

const mapStateToProps = state => {
    return {
        stage: state.cloudAssessment.stage,
        summary: state.cloudAssessment.summary
    };
};

export default connect(mapStateToProps)(CloudAssessmentViewAzure);