import pricing from './ebsPricing.json'
import standardDiskPricing from './ebsStandardDiskPricing.json'
import _ from 'lodash'

const diskTypeAwsNames = {
    gp2: 'ebsGPSSD',
    io1: 'ebsPIOPSSSD',
    st1: 'ebsTOHDD',
    sc1: 'ebsColdHDD',
    snapshot: 'ebsSnapsToS3',
    standard: 'Amazon EBS Magnetic volumes'
};

export const getEbsPrices = ({region, diskType, rate = 'perGBmoProvStorage'}) => {
    const pricesObject = diskType === 'standard' ? standardDiskPricing : pricing;

    const regionObject = _.find(pricesObject.config.regions, {region});
    if (!regionObject) throw Error('Unknown region code ' + region);

    const diskObject = _.find(regionObject.types, {name: diskTypeAwsNames[diskType]});
    if (!diskObject) throw Error('Unknown disk type ' + diskType);

    const rateObject = _.find(diskObject.values, {rate});
    if (!rateObject) throw Error('Unknown rate code ' + rate);

    return rateObject.prices.USD
};
