import React from 'react'
import { ReactComponent as BarChartIcon } from 'ui-components/src/images/monochrome-icons/bar-chart-icon.svg';
import SummaryField from "./SummaryField"
import ActionButton from "./../../widgets/ActionButton"

export default ({title, summary, locationLabel, volumeLabel, startAgain, volumePath, locationPath}) =>
    <div className="summary-header nav-adjusted-fixed-pane">
        <div className="summary-header-container">
            <h3>
                <BarChartIcon/>
                {title}
            </h3>

            <div className="summary-row">
                <SummaryField title="REPORT DATE" value={summary.f_reportTime}/>
                <SummaryField title={locationLabel} value={summary[locationPath]}/>
                <SummaryField title={volumeLabel} value={summary[volumePath]}/>
                <SummaryField title="ALLOCATED CAPACITY" value={`${summary.f_totalCapacity}`}/>
                <ActionButton className="collect-now" category="CloudAssessment" label="reset" onClick={startAgain}>Start Again</ActionButton>
            </div>
        </div>
    </div>