import { ReactComponent as CloudVolumesServiceLogo } from 'ui-components/src/images/netapp-services/ic-cvs.svg';
import { ReactComponent as CloudVolumesOntapLogo } from 'ui-components/src/images/netapp-services/ic-cvo.svg';
import { ReactComponent as CloudSyncLogo } from 'ui-components/src/images/netapp-services/ic-cloud-sync.svg';
import { ReactComponent as SaaSBackupLogo } from 'ui-components/src/images/netapp-services/ic-saas-backup.svg';
import { ReactComponent as CloudInsightsLogo } from 'ui-components/src/images/netapp-services/ic-cloud-insights.svg';
import { ReactComponent as KubernetesServiceLogo } from 'ui-components/src/images/netapp-services/ic-kubernetes.svg';
import { ReactComponent as CloudTieringLogo } from 'ui-components/src/images/netapp-services/ic-cloud-tiering.svg';

import { ReactComponent as NativeServicesLogo } from 'ui-components/src/images/netapp-services/ic-native.svg';

import _ from "lodash";

export const services = [
    {
        key: "cloudVolumesService",
        title: "Cloud Volumes Service",
        description: "The industry’s leading Network File System (NFS/SMB) service in the cloud",
        Logo: CloudVolumesServiceLogo,
        state: "loading"
    },
    {
        key: "cloudVolumesOntap",
        title: "Cloud Volumes ONTAP",
        description: "Simple & Fast Enterprise Cloud Storage",
        Logo: CloudVolumesOntapLogo,
        state: "loading"
    },
    {
        key: "kubernetesService",
        title: "Kubernetes Service",
        description: "The Universal Control Plane for Managed Kubernetes now available for everyone",
        Logo: KubernetesServiceLogo,
        state: "loading"
    },
    {
        key: "cloudInsights",
        title: "Cloud Insights",
        description: "Innovate faster with insights across your application infrastructure stack",
        Logo: CloudInsightsLogo,
        state: "loading"
    },
    {
        key: "cloudSync",
        title: "Cloud Sync",
        description: "Secure, Fast, Automated Data Synchronization",
        Logo: CloudSyncLogo,
        state: "loading"
    },
    {
        key: "cloudTiering",
        title: "Cloud Tiering",
        description: "Free up high-performance AFF storage space by automatically tiering infrequently-used data to the cloud",
        Logo: CloudTieringLogo,
        state: "loading"
    },
    {
        key: "saasBackup",
        title: "SaaS Backup",
        description: "Back up, find and recover email, calendars, contacts, tasks, site collections, sites, lists, and file data for Microsoft Office 365",
        Logo: SaaSBackupLogo,
        state: "loading"
    },
    {
        key: "nativeServices",
        title: "NATIVE SERVICES",
        description: "Cloud Provider native storage in the cloud.",
        Logo: NativeServicesLogo,
        className: "native",
        state: "loading",
        noCta: true
    }
];

export const servicesByKey = _.keyBy(services,  "key");
services.forEach((service, index) => service.order = index);