import React from 'react';
import styles from './SpiffOverview.module.scss';
import {ReactComponent as LineItemIcon} from "ui-components/src/images/2-colors-icons/ic-line-item.svg";
import {ReactComponent as WeeklyIcon} from "ui-components/src/images/2-colors-icons/ic-weekly.svg";
import { ReactComponent as BulletChevron } from 'ui-components/src/images/monochrome-icons/bullet-chevron-icon.svg';
import ExternalLink from "./../../widgets/ExternalLink";


export default () => <div className={styles.base}>
    {window.scrollTo(0,0)}
    <div className={styles.container}>
        <p className="larger">We are pleased to announce the new Protect Your Base promotion and rewards program for Q4FY19 and Q1FY20, designed to accelerate growth in our cloud business while helping customers leverage the cloud to protect their data. This program includes both an incremental product discount, as well as exciting sales incentives for NetApp Americas and Globals sales reps and sales teams.</p>
        <p className="larger">Leading with disaster recovery in the cloud in our existing accounts, we position ourselves to protect our installed base and expand our ONTAP footprint into the cloud with Cloud Volumes ONTAP (CVO).</p>
        <div className={styles["find-more"]} style={{marginBottom: 25, marginTop: 0}}>
            Learn more about deploying disaster recovery in the cloud with Cloud Volumes ONTAP: <ExternalLink linkKey="internal.sales.globalsAmericasSpiffCloudVolumesDetails" newTab>Field Portal</ExternalLink>
        </div>
        <h4>Highlights of the promotion and rewards program includes:</h4>
        <ul>
            <li><BulletChevron/>Customers purchasing new CVO licenses during the Q4 and Q1 quarters will benefit from an incremental 5% discount on 2-	Year and 3-Year BYOL SKUs. The total discount for customers is up to 25% during the program period</li>
            <li><BulletChevron/>The Americas & Globals sales teams will participate in a Q4 competition where the top District in each of the 4 Americas Sales Areas (Enterprise, USPS, Commercial, Canada/LATAM) plus the Top Globals Region will receive $75K to throw an event of their making. It’s your decision, invite spouses and throw an excursion on a private yacht, golfing and spa at a country club, wine tasting, it’s up to you!</li>
        </ul>
        <h4>To help you succeed...</h4>
        <div style={{marginBottom: 55}}>
            <div style={{float: "left", marginRight: 25, marginTop: 11}}><LineItemIcon/></div>
            <div style={{fontSize: 15, lineHeight: 2, color: "#434957"}}>We will provide a targeted set of accounts and contacts to each territory, derived from artificial intelligence (ActiveIQ) with a propensity to purchase CVO - particularly for disaster recovery workloads.</div>
        </div>
        <div>
            <div style={{float: "left", marginRight: 22, marginTop: 9, marginLeft: 3}}><WeeklyIcon/></div>
            <div style={{fontSize: 15, lineHeight: 2, color: "#434957"}}>Weekly reporting is part of the program both in terms of status checks on progress against targeted accounts, as well as distribution and announcement of rewards starting the third week of the quarter.</div>
        </div>
        <div className={styles["find-more"]}>
            Learn more about the “Protect Your Base” program, incentives, rules, process, and eligibility here: <ExternalLink linkKey="internal.sales.globalsAmericasSpiffProgramDetails" newTab>Field Portal</ExternalLink>
        </div>
    </div>
</div>
