import React from 'react'
import { ReactComponent as CloseXIcon } from 'ui-components/src/images/monochrome-icons/x-icon.svg';
import _ from 'lodash'
import ExternalLink from "./../../widgets/ExternalLink";

const DisplayLinksDialog = ({closeDialog, data}) => {
    return <div>
        <header>
            {data.Company}
            <button onClick={closeDialog}><CloseXIcon/></button>
        </header>
        <div className='dialog-content'>
            <div className='links-container'>
                {_.range(1, 7).map(index => data['LinkUrl' + index] &&
                    <ExternalLink key={index}
                                  href={data[`LinkUrl${index}`]}
                                  linkKey={`internal.customerSuccess.${data.Company}.${data[`LinkName${index}`]}`}
                                  newTab>
                        {data[`LinkName${index}`]}
                    </ExternalLink>)}
            </div>
            <button className="dialog-button" onClick={closeDialog}>OK</button>
        </div>
    </div>
};

export {DisplayLinksDialog}
