import React from 'react'
import { CopyToClipboard } from 'react-copy-to-clipboard';
import { SyntaxHighlighter } from "ui-components"
import { ReactComponent as RightChevron } from 'ui-components/src/images/monochrome-icons/bullet-chevron-icon.svg';

export const markdownRenderers = {
    code: (props) => {
        return <div style={{position: "relative"}}>
            <CopyToClipboard text={props.value} style={{padding: "10px 20px", position: "absolute", top: 0, right: 0}}><button>Copy to clipboard</button></CopyToClipboard>
            <SyntaxHighlighter language={props.language}>{props.value}</SyntaxHighlighter>
        </div>
    },
    listItem: ({children}) => {
        return <li><RightChevron/>{children}</li>
    }
};