export default {
    productName: 'Cloud Volumes Service for AWS',
    contactMail: "aws-sales@netapp.com",
    technicalDocumentation: "http://docs.netapp.com/us-en/cloud_volumes/aws/",
    onPremAssessment: "https://ca.netapp.com/",
    demo: "https://labondemand.netapp.com/products/cloud-volumes-service",
    gettingStarted: [
        {
            title: "I need to learn the value of the service",
            agenda: `
* View product videos
* Read solution briefs and whitepapers
* Read blog posts`,
            link: "/netapp-internal/cloud-volumes-service/aws/customer-content",
        },
        {
            title: "I need to learn how to pitch the service",
            agenda: `
* View sales guides and training
* Lead qualifying conversations
* Ask common seller questions`,
            link: "/netapp-internal/cloud-volumes-service/aws/sales-tools",
        },
        {
            title: "I need to give a presentation",
            agenda: `
* Download a customer deck`,
            link: "/netapp-internal/cloud-volumes-service/aws/sales-tools?card=Cloud Volumes Service for On-Premises Data Centers",
        },
        {
            title: "I need to give a demo",
            agenda: `
* Access a live demo environment`,
            linkKey: "internal.sales.cloudVolumesService.cloudVolumesServiceAws.demo",
            href: "https://labondemand.netapp.com/products/cloud-volumes-service"
        },
        {
            title: "I need to place an order",
            agenda: `
* Create an opportunity
* Understand how I get paid
* Know if my customer is using the service`,
            link: "/netapp-internal/cloud-volumes-service/aws/sales-tools?card=Sales FAQ: Cloud Volumes Service for AWS"
        },
        {
            title: "I need to understand",
            agenda: `
* How do I get paid`,
            linkKey: "internal.sales.cloudVolumesService.cloudVolumesServiceAws.HowDoIGetPaid",
            href:"https://netapp.hosted.panopto.com/Panopto/Pages/Viewer.aspx?id=2c96974b-0ef7-4b3c-9c4b-a97d01766edc"
        },
        {
            title: "I need to get more partner help",
            agenda: `
* Learn about the CloudFirst Partner program
* Understand how parners make money`,
            link: "/netapp-internal/cloud-volumes-service/aws/sales-tools?cardCloudFirst Partner Program Guide",
        },
        {
            title: "I need to get more seller help",
            agenda: `
* Contact the NetApp AWS sales team
* Learn how to work with CVO for AWS`,
            contactMail: "ng-aws-sales@netapp.com",
        },
        {
            title: "I need to know what's coming",
            agenda: `
* New roadmap capabilities
* New cloud regions coming`,
            link: "/netapp-internal/cloud-volumes-service/aws/sales-tools?card=Cloud Volumes Service for AWS Product Roadmap",
        },
        {
            title: "I need more in-depth training",
            agenda: `
* Take NetAppU training courses`,
            link: "/netapp-internal/cloud-volumes-service/aws/sales-tools?card=Selling Cloud Volumes Service",
        }
    ],
    whatsNew: [
        {
            title: "Service Level Agreeements",
            agenda: `
* NetApp now has committed performance and availability SLA's published for Cloud Volumes Service for AWS`,
            link: "/netapp-internal/cloud-volumes-service/aws/sales-tools?card=Cloud Volumes Service for AWS Service Level Agreement",
        },
        {
            title: "HPC and Window File Services - Workload Content",
            agenda: `
* New customer-facing benchmarks, blogs and content for workloads on Cloud Volumes Service for AWS`,
            link: "/netapp-internal/cloud-volumes-service/aws/customer-content?Solution Brief: DevOps Workloads on Cloud Volumes Service for AWS",
        },
        {
            title: "HPC and Window File Services - Workload Selling Tools",
            agenda: `
* New seller presentation decks, guides, scripts for workloads on Cloud Volumes Service for AWS`,
            link: "/netapp-internal/cloud-volumes-service/aws/sales-tools",
        },
        {
            title: "New NetAppU Course - Selling Cloud Volumes Service",
            agenda: `
* New seller training course on prospecting opportunities and conducting co-discovery conversations for Cloud Volumes Service`,
            link: "/netapp-internal/cloud-volumes-service/aws/sales-tools?card=Selling Cloud Volumes Service",
        }
    ],
    customerContent: [
        {
            title: 'Solution Brief: Cloud Volumes Service for AWS',
            tags: ["Sep 2018", "Brief"],
            description: 'This two-page solution brief gives a high-level overview of Cloud Volumes Service for AWS',
            linkKey: 'internal.sales.cloudVolumesService.aws.customerContent.SolutionBriefCloudVolumesServiceforAWS',
            href: "https://fieldportal.netapp.com/content/806506?assetComponentId=808121"
        },
        {
            title: 'Cloud Volumes Service for AWS - Windows File Services Benchmarks',
            tags: ["Mar 2019", "Benchmark"],
            description: 'Published benchmarks on Cloud Central for Cloud Volumes Service for AWS',
            linkKey: 'internal.sales.cloudVolumesService.aws.customerContent.CloudVolumesServiceforAWSWindowsFileServicesBenchmarks',
            href: "https://cloud.netapp.com/cloud-volumes-service/aws-benchmarks"
        },
        {
            title: 'Cloud Volumes Service for AWS - HPC Benchmarks',
            tags: ["Mar 2019", "Benchmark"],
            description: 'Published benchmarks on Cloud Central for Cloud Volumes Service for AWS',
            linkKey: 'internal.sales.cloudVolumesService.aws.customerContent.CloudVolumesServiceforAWSHPCBenchmarks',
            href: "https://cloud.netapp.com/blog/genomics-data-puts-netapp-and-aws-to-the-test"
        },
        {
            title: 'Solve the Challenges of roll your own SMB Solutions with Cloud Volumes Service for AWS',
            tags: ["Feb 2019", "Blog"],
            description: 'Public blog post on Cloud Volumes Service for AWS for Windows File Services (SMB) workloads',
            linkKey: 'internal.sales.cloudVolumesService.aws.customerContent.SolveTheChallengesOfRollYourOwnSMBSolutions',
            href: "https://cloud.netapp.com/blog/solve-challenges-of-smb-solutions-with-cloud-volumes-service-for-aws"
        },
        {
            title: 'Deploy SQL Server Over SMB on Cloud Volumes Service',
            tags: ["Mar 2019", "Video"],
            description: 'Customer video walkthrough on using Cloud Volumes Service for Windows File Services (SMB) workloads',
            linkKey: 'internal.sales.cloudVolumesService.aws.customerContent.DeploySQLServerOverSMBonCloudVolumesService',
            href: "http://tv.netapp.com/detail/video/5830988259001?autoStart=true&page=3&q=cloud%20volumes%20service"
        },
        {
            title: 'Improve Data Analytics with AWS and NetApp Cloud Volumes Service',
            tags: ["Sep 2018", "Whitepaper"],
            description: 'This technical whitepaper shows how Cloud Volumes Service can be used with AWS Elastic Map Reduce as an alternative to AWS S3',
            linkKey: 'internal.sales.cloudVolumesService.aws.customerContent.ImproveDataAnalyticsWithAWSandNetAppCloudVolumesService',
            href: "https://fieldportal.netapp.com/content/806345?assetComponentId=807960"
        },
        {
            title: 'Account Setup process for Cloud Volumes Service',
            tags: ["Sep 2018", "Guide"],
            description: 'This configuration guide walks customers through the self-onboarding process when self-subscribing to Cloud Volumes Service via the AWS Marketplace.',
            linkKey: 'internal.sales.cloudVolumesService.aws.customerContent.AccountSetupProcessForCloudVolumesService',
            href: "https://fieldportal.netapp.com/content/805209?assetComponentId=806812"
        },
        {
            title: 'Cloud Volumes Service for AWS Security Architecture',
            tags: ["Sep 2018", "FAQ"],
            description: 'This FAQ for customers addresses common questions about security and privacy with Cloud Volumes Service for AWS',
            linkKey: 'internal.sales.cloudVolumesService.aws.customerContent.CloudVolumesServiceForAWSSecurityArchitecture',
            href: "https://fieldportal.netapp.com/content/784560?assetComponentId=786155"
        },
        {
            title: 'Solution Brief: DevOps Workloads on Cloud Volumes Service for AWS',
            tags: ["Oct 2018", "Brief"],
            description: 'Learn how Cloud Volumes Service for AWS provides DevOps teams the speed, agility and security needed to be just as effective in the cloud as they have been on-premises.',
            linkKey: 'internal.sales.cloudVolumesService.aws.customerContent.SolutionBriefDevOpsWorkloadsOnCloudVolumesServiceForAWS',
            href: "https://fieldportal.netapp.com/content/780924?assetComponentId=782505"
        },
        {
            title: 'Solution Brief: Database Workloads on Cloud Volumes Service for AWS',
            tags: ["Oct 2018", "Brief"],
            description: 'Learn how NetApp Cloud Volumes Service for AWS helps simplify the complexity of running database applications in the cloud and reduce compute resources and storage needs without compromising performance.',
            linkKey: 'internal.sales.cloudVolumesService.aws.customerContent.SolutionBriefDatabaseWorkloadsOnCloudVolumesServiceForAWS',
            href: "https://fieldportal.netapp.com/content/780910?assetComponentId=782491"
        },
        {
            title: 'Solution Brief: Analytics Workloads on Cloud Volumes Service for AWS',
            tags: ["Nov 2018", "Brief"],
            description: 'Learn how NetApp Cloud Volumes Service for AWS provides analysts the ability to perform complex calculations, manage significant datasets, and access data globally without compromising security, speed or flexibility.',
            linkKey: 'internal.sales.cloudVolumesService.aws.customerContent.SolutionBriefAnalyticsWorkloadsOnCloudVolumesServiceForAWS',
            href: "https://fieldportal.netapp.com/content/780897?assetComponentId=782478"
        },
        {
            title: 'Customer FAQ: Cloud Volumes Service for AWS',
            tags: ["Jan 2019", "FAQ"],
            description: 'Frequently asked questions by customers about Cloud Volumes Service for AWS, a cloud-native file service delivering extreme storage performance with advanced data management features.',
            linkKey: 'internal.sales.cloudVolumesService.aws.customerContent.SolutionBriefAnalyticsWorkloadsOnCloudVolumesServiceForAWS',
            href: "https://fieldportal.netapp.com/content/705715?assetComponentId=707075"
        },
        {
            title: 'Cloud Volumes Service for AWS - Database Benchmarks',
            tags: ["Mar 2019", "Benchmark"],
            description: 'Published benchmarks on Cloud Central for Cloud Volumes Service for AWS',
            linkKey: 'internal.sales.cloudVolumesService.aws.customerContent.CloudVolumesServiceforAWSDatabaseBenchmarks',
            href: "https://cloud.netapp.com/cloud-volumes-service/aws-benchmarks"
        },
        {
            title: 'Blog: Genomics Data Puts NetApp and AWS to the Test',
            tags: ["Mar 2019", "Blog"],
            description: 'Public blog post on Cloud Volumes Service for AWS for HPC workloads, covering a customer\'s actual genomics use case',
            linkKey: 'internal.sales.cloudVolumesService.aws.customerContent.BlogGenomicsDataPutsNetAppandAWSToTheTest',
            href: "https://cloud.netapp.com/blog/genomics-data-puts-netapp-and-aws-to-the-test"
        },
        {
            title: 'Blog: Oracle Performance and Storage Comparison in AWS',
            tags: ["Sep 2018", "Blog"],
            description: 'Public blog post on Cloud Volumes Service for AWS for Database workloads, with detailed benchmarking of Oracle DB.',
            linkKey: 'internal.sales.cloudVolumesService.aws.customerContent.BlogOraclePerformanceandStorageComparisonInAWS',
            href: "https://cloud.netapp.com/blog/oracle-performance-comparison-in-aws-cloud-volumes-service-ebs-efs"
        }
    ],
    salesItems: [
        {
            title: 'Customer Presentation: Cloud Volumes Service for AWS for High Performance Computing',
            tags: ["Mar 2019", "Presentation"],
            description: 'This customer presentation provides an overview of using Cloud Volumes Service for AWS with High Performance Computing workloads',
            linkKey: 'internal.sales.cloudVolumesService.aws.salesTools.CustomerPresentationCloudVolumesServiceForAWSForHighPerformanceComputing',
            href: "https://fieldportal.netapp.com/content/866472?assetComponentId=868257"
        },
        {
            title: 'Customer Presentation: Cloud Volumes Service for AWS for Windows File Services',
            tags: ["Mar 2019", "Presentation"],
            description: 'This customer presentation provides an overview of using Cloud Volumes Service for AWS with Windows File Services workloads',
            linkKey: 'internal.sales.cloudVolumesService.aws.salesTools.CustomerPresentationCloudVolumesServiceForAWSForWindowsFileServices',
            href: "https://fieldportal.netapp.com/content/866479?assetComponentId=868264"
        },
        {
            title: 'Cloud Volumes Service for On-Premises Data Centers',
            tags: ["Jan 2019", "Presentation"],
            description: 'This brief customer presentation covers the technical aspects of using Cloud Volumes Service for AWS with on-premises compute workloads.',
            linkKey: 'internal.sales.cloudVolumesService.aws.salesTools.CloudVolumesServiceforOnPremisesDataCenters',
            href: "https://fieldportal.netapp.com/content/843312?assetComponentId=845051"
        },
        {
            title: 'Competitive Guide: Cloud Volumes Service vs AWS Storage',
            tags: ["Nov 2018", "Guide"],
            description: 'This seller competitive guide covers the advantages of using Cloud Volumes Service for AWS workloads over some of AWS\' latest storage classes including new AWS EFS and FSX/Lustre offerings.',
            linkKey: 'internal.sales.cloudVolumesService.aws.salesTools.CompetitiveGuideCloudVolumesServiceVsAWSStorage',
            href: "https://fieldportal.netapp.com/content/829538?assetComponentId=831184"
        },
        {
            title: 'Cloud Volumes Service for AWS Sales Qualifier',
            tags: ["Nov 2018", "Guide"],
            description: 'This seller guide helps to identify and qualify opporunities for Cloud Volumes Service, and how to get started.',
            linkKey: 'internal.sales.cloudVolumesService.aws.salesTools.CloudVolumesServiceForAWSSalesQualifier',
            href: "https://fieldportal.netapp.com/content/794824?assetComponentId=796420"
        },
        {
            title: 'QRG: Getting Started with Cloud Volumes Service for AWS',
            tags: ["Sep 2018", "Guide"],
            description: 'This one-page quick reference guide summarizes qualifying opportunities and getting started with Cloud Volumes Service for AWS.',
            linkKey: 'internal.sales.cloudVolumesService.aws.salesTools.QRGGettingStartedWithCloudVolumesServiceForAWS',
            href: "https://fieldportal.netapp.com/content/783016?assetComponentId=784610"
        },
        {
            title: 'Sales FAQ: Cloud Volumes Service for AWS',
            tags: ["Jan 2019", "FAQ"],
            description: 'This seller FAQ addresses common questions from sales teams about Cloud Volumes Service for AWS.',
            linkKey: 'internal.sales.cloudVolumesService.aws.salesTools.SalesFAQCloudVolumesServiceForAWS',
            href: "https://fieldportal.netapp.com/content/615651?assetComponentId=616818"
        },
        {
            title: 'Playbook: Inspire Innovation for the Cloud',
            tags: ["Jun 2018", "Playbook"],
            description: 'Advanced Value Selling Playbook for Cloud Data Services',
            linkKey: 'internal.sales.cloudVolumesService.aws.salesTools.PlaybookInspireInnovationForTheCloud',
            href: "https://vplaybook.com/playbook/1826/"
        },
        {
            title: 'Field Portal Collection: Cloud Volumes Service for AWS',
            tags: ["Guide"],
            description: 'Browse directly  on NetApp Field Portal the entire collection of customer content and selling tools for Cloud Volumes Service for AWS',
            linkKey: 'internal.sales.cloudVolumesService.aws.salesTools.FieldPortalCollectionCloudVolumesServiceForAWS',
            href: "https://fieldportal.netapp.com/collections/604664"
        },
        {
            title: 'Cloud Volumes Service for AWS Service Level Agreement',
            tags: ["Mar 2019", "Documentation"],
            description: 'Public links to the EULA and published Service Level Agreements for Cloud Volumes Service for AWS',
            linkKey: 'internal.sales.cloudVolumesService.aws.salesTools.CloudVolumesServiceForAWSServiceLevelAgreement',
            href: "https://www.netapp.com/us/how-to-buy/stc.aspx"
        },
        {
            title: 'QRG: Cloud Volumes Service for Databases',
            tags: ["Oct 2018", "Guide"],
            description: 'This one-page quick reference guide summarizes qualifying database workloads for Cloud Volumes Service for AWS',
            linkKey: 'internal.sales.cloudVolumesService.aws.salesTools.QRGCloudVolumesServiceForDatabases',
            href: "https://fieldportal.netapp.com/content/813009?assetComponentId=814640"
        },
        {
            title: 'QRG: Cloud Volumes Service for File Services',
            tags: ["Oct 2018", "Guide"],
            description: 'This one-page quick reference guide summarizes qualifying NFS and SMB file services workloads for Cloud Volumes Service for AWS',
            linkKey: 'internal.sales.cloudVolumesService.aws.salesTools.QRGCloudVolumesServiceforFileServices',
            href: "https://fieldportal.netapp.com/content/813008?assetComponentId=814639"
        },
        {
            title: 'Sales Vignette: Windows File Services on Cloud Volumes Service for AWS',
            tags: ["Mar 2019", "Guide"],
            description: 'This seller guide helps to identify and qualify Windows File Service opportunities for Cloud Volumes Service for AWS',
            linkKey: 'internal.sales.cloudVolumesService.aws.salesTools.SalesVignetteWindowsFileServicesOnCloudVolumesServiceForAWS',
            href: "https://fieldportal.netapp.com/content/866483?assetComponentId=868268"
        },
        {
            title: 'Sales Qualifier: Windows File Services on Cloud Volumes Service for AWS',
            tags: ["Mar 2019", "Script"],
            description: 'This qualifying script helps sellers identify opportunities for Cloud Volumes Service for Windows File Services workloads',
            linkKey: 'internal.sales.cloudVolumesService.aws.salesTools.SalesQualifierWindowsFileServicesOnCloudVolumesServiceForAWS',
            href: "https://fieldportal.netapp.com/content/866487?assetComponentId=868272"
        },
        {
            title: 'Sales Vignette: High Performance Computing on Cloud Volumes Service for AWS',
            tags: ["Mar 2019", "Guide"],
            description: 'This seller guide helps to identify and qualify High Performance Computing opportunities for Cloud Volumes Service for AWS',
            linkKey: 'internal.sales.cloudVolumesService.aws.salesTools.SalesVignetteHighPerformanceComputingOnCloudVolumesServiceForAWS',
            href: "https://fieldportal.netapp.com/content/866474?assetComponentId=868259"
        },
        {
            title: 'Sales Qualifier: HPC on Cloud Volumes Service for AWS',
            tags: ["Mar 2019", "Script"],
            description: 'This qualifying script helps sellers identify opportunities for Cloud Volumes Service for High Performance Computing workloads',
            linkKey: 'internal.sales.cloudVolumesService.aws.salesTools.SalesQualifierHPConCloudVolumesServiceForAWS',
            href: "https://fieldportal.netapp.com/content/866471?assetComponentId=868256"
        },
        {
            title: 'Cloud Volumes Service for AWS Product Roadmap',
            tags: ["Mar 2019", "Roadmap"],
            description: 'Internal product roadmap for Cloud Volumes Service for AWS (NetApp field access only; no partner access)',
            linkKey: 'internal.sales.cloudVolumesService.aws.salesTools.CloudVolumesServiceForAWSProductRoadmap',
            href: "https://fieldportal.netapp.com/content/872413?assetComponentId=874200"
        },
        {
            title: 'CloudFirst Partner Program Guide',
            tags: ["Sep 2017", "Guide"],
            description: 'This Program Guide provides an overview of the CloudFirst Partner Program for NetApp partners',
            linkKey: 'internal.sales.cloudVolumesService.aws.salesTools.CloudFirstPartnerProgramGuide',
            href: "https://fieldportal.netapp.com/content/568934?assetComponentId=579207"
        },
        {
            title: 'Selling Cloud Volumes Service',
            tags: ["Feb 2019", "Training"],
            description: 'This NetAppU web-based training course focuses on prospecting opportunities and having co-discovery conversations with potential buyers',
            linkKey: 'internal.sales.cloudVolumesService.aws.salesTools.SellingCloudVolumesService',
            href: "https://fieldportal.netapp.com/content/855219?assetComponentId=856979"
        }
    ]
};
