import ExternalLink from "../widgets/ExternalLink";
import {Link} from "react-router-dom";
import React from "react";

export default ({view, data, trackCategory}) => {
    const ServiceLink = ({text}) => <ExternalLink linkKey="launchPad.services.occmSetupService" trackCategory={trackCategory} className="link link-group">{text}</ExternalLink>;
    const ViewLink = ({text}) => <Link to="/cloud-managers" className="link link-group">{text}</Link>;

    if(view === 'start-free-trial') {
        return <ServiceLink text="Start Free Trial"/>
    } else if (view === 'create-new'){
        return <ServiceLink text="Create Cloud Manager"/>
    } else if (view === 'has-one-ready') {
        return <span className="link-group">
            <ExternalLink linkKey="launchPad.services.cloudManager" href={data.occms[0].primaryCallbackUri} trackCategory={trackCategory} className="link">Go to Cloud Manager</ExternalLink>
            <span style={{display: "inline-block", width: 1, backgroundColor: "#d7d7d7", margin: "0 5px", height: 9}}/>
            <Link to="/cloud-managers" className="link">View List</Link>
        </span>
    } else if (view === 'has-one-initializing' || view === 'has-one-failed') {
        return <ViewLink text="View Cloud Manager"/>
    } else {
        return <ViewLink text="View Cloud Managers"/>
    }
};