import * as actions from "../actions";
import _ from "lodash";

/*eslint default-case: 0*/

const defaultState = () => ({
    customerSuccessData: {status: actions.STATUS_NOT_SENT}
});

export default (state = defaultState(), {payload, type}) => {
    switch (type) {
        case "CUSTOMER-SUCCESS:FETCH-STORIES-PENDING": {
            return {...state, customerSuccessData: null}
        }
        case "CUSTOMER-SUCCESS:FETCH-STORIES-SUCCESS": {
            return {...state,
                customerSuccessData: {
                    status: actions.STATUS_SUCCESS,
                    asJson: payload.asJson,
                    asCsv: payload.asCsv
                }
            };
        }
        case "CUSTOMER-SUCCESS:FETCH-STORIES-ERROR": {
            return {...state, customerSuccessData: {status: actions.STATUS_ERROR, data: payload.data}}
        }
        case "CUSTOMER-SUCCESS:UPLOAD-FILE": {
            return {...state, uploadMessage: null, uploadMessageType: null}
        }
        case "CUSTOMER-SUCCESS:UPLOAD-FILE-PENDING": {
            return {...state, uploading: true}
        }
        case "CUSTOMER-SUCCESS:UPLOAD-FILE-SUCCESS": {
            return {...state, uploading: false, uploadMessage: "Customer Success Stories Successfully Uploaded", uploadMessageType: "success"}
        }
        case "CUSTOMER-SUCCESS:UPLOAD-FILE-ERROR": {
            const errorMessage = _.get(payload, "response.data.message");
            return {...state, uploading: false, uploadMessage: errorMessage, uploadMessageType: "error"}
        }
        case "CUSTOMER-SUCCESS:UPLOAD-FILE-CLEAR-CLIENT-DETAILS-MESSAGE": {
            return {...state, uploadMessage: null, uploadMessageType: null}
        }
        case "CUSTOMER-SUCCESS:OPEN-LINKS-DIALOG": {
            return {...state, linksDialogOpen: payload}
        }
        case "CUSTOMER-SUCCESS:CLOSE-LINKS-DIALOG": {
            return {...state, linksDialogOpen: false}
        }
        case "CUSTOMER-SUCCESS:FILTER-CHANGED": {
            return {...state, numberOfFilteredRows: payload}
        }
    }

    return state;
};
