export const downloadFile = ({fileName, data}) => {
    if (window.navigator.msSaveOrOpenBlob) { //EDGE workaround
        const blob = new Blob([decodeURIComponent(encodeURI(data))], {type: 'text/csv;charset=utf-8;'});
        navigator.msSaveBlob(blob, fileName);
    } else {
        const element = document.createElement('a');
        element.setAttribute('href', 'data:text/plain;charset=utf-8,' + encodeURIComponent(data));
        element.setAttribute('download', fileName);
        element.style.display = 'none';
        document.body.appendChild(element);

        element.click();

        document.body.removeChild(element);
    }
};

export const parentHasClass = (node, className) => {
    return (node.classList && node.classList.contains(className)) || (node.parentNode && parentHasClass(node.parentNode, className));
};

export const scrollToTop = () => {
    window.scroll(0,0);
};